<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        // Schema::create('leak_test_readings', function (Blueprint $table) {
        //     $table->id();
        //     $table->timestamps();
        // });
        $sql = <<<'SQL'
            CREATE TABLE leak_test_readings (
                id                      BIGINT GENERATED always AS IDENTITY PRIMARY KEY,

                plant_id                BIGINT NOT NULL,

                item_code               TEXT NOT NULL,
                serial_number           TEXT NOT NULL,
                test_status             TEXT NOT NULL,

                created_at              TIMESTAMP NOT NULL DEFAULT NOW(),
                updated_at              TIMESTAMP NOT NULL DEFAULT NOW(),
                deleted_at              TIMESTAMP,

                FOREIGN KEY (plant_id)  REFERENCES  plants (id)
            );
        SQL;

        DB::statement($sql);
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('leak_test_readings');
    }
};
